Skip to main content
GET
/
v1
/
employer-identifiers
/
{employer_identifier}
/
update-groups
cURL
curl --request GET \
  --url https://api.payrollintegrationsapp.com/v1/employer-identifiers/{employer_identifier}/update-groups
{
  "data": [
    {
      "updateGroupId": "00000000-0000-0000-0000-000000000000",
      "uploadDate": "2026-01-31T14:06:54.227Z",
      "errorCount": 0
    },
    {
      "updateGroupId": "11111111-1111-1111-1111-111111111111",
      "uploadDate": "2026-02-28T21:35:48.897Z",
      "errorCount": 7
    }
  ],
  "meta": {
    "limit": 2,
    "offset": 0,
    "sort": "uploadDate",
    "currentCount": 2,
    "totalCount": 20
  }
}

Documentation Index

Fetch the complete documentation index at: https://developer.payrollintegrations.com/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

employer_identifier
string<uuid>
required

ID of the employer identifier

Response

Returns the latest statuses for a list of update groups for a given employer

data
object[]
required
meta
object
required